Admiral
Changesets

Update a change set

PATCH
/api/v1/changesets/{change_set.id}

Rejected when the change set is not OPEN.

Scope: app:write

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...

In: header

Path Parameters

change_set.id*id

Unique identifier for the change set (UUID).

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://api.admiral.io/api/v1/changesets/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "change_set": {}  }'
{  "change_set": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "application_id": "48ac72d0-a829-4896-a067-dcb1c2b0f30c",    "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",    "status": "CHANGE_SET_STATUS_UNSPECIFIED",    "copied_from_id": "string",    "title": "string",    "description": "string",    "deploy_run_id": "string",    "entries": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "change_set_id": "14a1580e-9582-45fb-93f1-d323ee91538c",        "component_id": "string",        "component_name": "string",        "change_type": "CHANGE_SET_ENTRY_TYPE_UNSPECIFIED",        "catalog_item_id": "ab09154e-32b9-4c7b-baeb-072fb240b8d2",        "ref": "string",        "values_template": "string",        "depends_on": [          "string"        ],        "description": "string",        "catalog_item_name": "string",        "created_at": "2023-01-15T01:30:15.01Z",        "updated_at": "2023-01-15T01:30:15.01Z",        "target": {          "agent_id": "string",          "namespace": "string"        }      }    ],    "variable_entries": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "change_set_id": "14a1580e-9582-45fb-93f1-d323ee91538c",        "key": "string",        "value": "string",        "type": "VARIABLE_TYPE_UNSPECIFIED",        "sensitive": true,        "created_at": "2023-01-15T01:30:15.01Z"      }    ],    "display_id": "string",    "application_name": "string",    "environment_name": "string",    "created_by": {      "id": "string",      "display_name": "string",      "email": "string"    },    "created_at": "2023-01-15T01:30:15.01Z",    "updated_at": "2023-01-15T01:30:15.01Z"  }}